// ------------------------------------------------------------------------------
// <auto-generated>
//    Generated by avrogen, version 1.10.0.0
//    Changes to this file may cause incorrect behavior and will be lost if code
//    is regenerated
// </auto-generated>
// ------------------------------------------------------------------------------
namespace DocumentManagement.KafkaService
{
	using System;
	using System.Collections.Generic;
	using System.Text;
	using Avro;
	using Avro.Specific;
	
	public partial class DocumentTransitionEvent : ISpecificRecord
	{
		public static Schema _SCHEMA = Avro.Schema.Parse(@"{""type"":""record"",""name"":""DocumentTransitionEvent"",""namespace"":""DocumentManagement.KafkaService"",""fields"":[{""name"":""DocumentId"",""type"":""int""},{""name"":""EventAction"",""type"":{""type"":""enum"",""name"":""DocumentTransitionAction"",""namespace"":""DocumentManagement.KafkaService"",""symbols"":[""Next"",""Previous"",""Cancel""]}}]}");
		private int _DocumentId;
		private DocumentManagement.KafkaService.DocumentTransitionAction _EventAction;
		public virtual Schema Schema
		{
			get
			{
				return DocumentTransitionEvent._SCHEMA;
			}
		}
		public int DocumentId
		{
			get
			{
				return this._DocumentId;
			}
			set
			{
				this._DocumentId = value;
			}
		}
		public DocumentManagement.KafkaService.DocumentTransitionAction EventAction
		{
			get
			{
				return this._EventAction;
			}
			set
			{
				this._EventAction = value;
			}
		}
		public virtual object Get(int fieldPos)
		{
			switch (fieldPos)
			{
			case 0: return this.DocumentId;
			case 1: return this.EventAction;
			default: throw new AvroRuntimeException("Bad index " + fieldPos + " in Get()");
			};
		}
		public virtual void Put(int fieldPos, object fieldValue)
		{
			switch (fieldPos)
			{
			case 0: this.DocumentId = (System.Int32)fieldValue; break;
			case 1: this.EventAction = (DocumentManagement.KafkaService.DocumentTransitionAction)fieldValue; break;
			default: throw new AvroRuntimeException("Bad index " + fieldPos + " in Put()");
			};
		}
	}
}
